## org.eclipse.jst.jsf.facesconfig.emf
Interface ReferencedBeanType

All Known Implementing Classes:
  ReferencedBeanTypeImpl

    public interface ReferencedBeanType

A representation of the model object 'Referenced Bean Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Referenced Bean Name`
- `Referenced Bean Class`
- `Id`

See Also:
  `FacesConfigPackage.getReferencedBeanType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`ReferencedBeanClassType` `getReferencedBeanClass()` Returns the value of the 'Referenced Bean Class' containment reference
`ReferencedBeanNameType` `getReferencedBeanName()` Returns the value of the 'Referenced Bean Name' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setReferencedBeanClass(ReferencedBeanClassType value)` Sets the value of the '`Referenced Bean Class`' containment reference
`void` `setReferencedBeanName(ReferencedBeanNameType value)` Sets the value of the '`Referenced Bean Name`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getReferencedBeanType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getReferencedBeanType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getReferencedBeanType_Icon()`

### getReferencedBeanName

    ReferencedBeanNameType getReferencedBeanName()

  Returns the value of the 'Referenced Bean Name' containment reference.

  If the meaning of the 'Referenced Bean Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Bean Name' containment reference.
  See Also:
    `setReferencedBeanName(ReferencedBeanNameType)`, `FacesConfigPackage.getReferencedBeanType_ReferencedBeanName()`

### setReferencedBeanName

    void setReferencedBeanName(ReferencedBeanNameType value)

  Sets the value of the '`Referenced Bean Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Referenced Bean Name' containment reference.
  See Also:
    `getReferencedBeanName()`

### getReferencedBeanClass

    ReferencedBeanClassType getReferencedBeanClass()

  Returns the value of the 'Referenced Bean Class' containment reference.

  If the meaning of the 'Referenced Bean Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Bean Class' containment reference.
  See Also:
    `setReferencedBeanClass(ReferencedBeanClassType)`, `FacesConfigPackage.getReferencedBeanType_ReferencedBeanClass()`

### setReferencedBeanClass

    void setReferencedBeanClass(ReferencedBeanClassType value)

  Sets the value of the '`Referenced Bean Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Referenced Bean Class' containment reference.
  See Also:
    `getReferencedBeanClass()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getReferencedBeanType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`